## londiste-sql 3.8

=== Makefile ===

EXTENSION = londiste

EXT_VERSION = 3.8
EXT_OLD_VERSIONS = 3.2 3.2.3 3.2.4 3.4 3.4.1 3.5 3.6 3.7

base_regress = londiste_provider londiste_subscriber \
	       londiste_fkeys londiste_execute londiste_seqs londiste_merge \
	       londiste_leaf londiste_create_part \
	       londiste_merge_fkeys

Contrib_regress = init_noext $(base_regress)
Extension_regress = init_ext $(base_regress)

include mk/common-pgxs.mk

dox: cleandox
	mkdir -p docs/html
	mkdir -p docs/sql
	$(CATSQL) --ndoc structure/tables.sql > docs/sql/schema.sql
	$(CATSQL) --ndoc structure/functions.sql > docs/sql/functions.sql
	$(NDOC) $(NDOCARGS)

=== debian/changelog ===
londiste-sql (3.8-7) unstable; urgency=medium

  * Team upload for PostgreSQL 18. (Closes: #1117267)
  * Fix testsuite for PG18 changes.
  * Run tests in C.UTF-8 so testmatrix() order matches.
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 17:42:49 +0200

londiste-sql (3.8-6) unstable; urgency=medium

  * Source-only team upload to allow migration to testing.

 -- Christoph Berg <myon@debian.org>  Thu, 19 Sep 2024 13:32:29 +0200

londiste-sql (3.8-5) unstable; urgency=medium

  * Team upload for PostgreSQL 17.
  * Use ${postgresql:Depends}.
  * Mark postgresql-all as <!nocheck>.
  * B-D on postgresql-PGVERSIONS-pgq-node.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 23:45:12 +0200

londiste-sql (3.8-4) unstable; urgency=medium

  * Source-only team upload to allow migration to testing.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Sep 2023 16:23:26 +0200

londiste-sql (3.8-3) unstable; urgency=medium

  * Team upload for PostgreSQL 16.
  * Add autopkgtest.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 10:23:40 +0000

londiste-sql (3.8-2) unstable; urgency=medium

  * Source-only upload to allow migration to testing.
  * Remove unnecessary Conflicts entry.
  * Add debian/gbp.conf file.

 -- Tomasz Rybak <serpent@debian.org>  Fri, 13 Jan 2023 14:16:09 +0100

londiste-sql (3.8-1) unstable; urgency=medium

  * Initial release.

 -- Tomasz Rybak <serpent@debian.org>  Wed, 04 Jan 2023 13:23:40 +0100

=== debian/control ===
Source: londiste-sql
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Tomasz Rybak <serpent@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 postgresql-18-pgq-node,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
 python3-all,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/postgresql/londiste-sql.git
Vcs-Browser: https://salsa.debian.org/postgresql/londiste-sql
Homepage: https://github.com/pgq/londiste-sql

Package: postgresql-18-londiste-sql
Architecture: all
Depends:
 postgresql-18-pgq-node,
 ${misc:Depends},
 ${postgresql:Depends},
Breaks:
 ${postgresql:Breaks},
Description: SQL infrastructure for Londiste
 Londiste is a cascaded replication system built on top
 of PgQ.  This extensions contains in-database support code.

=== debian/rules ===
#!/usr/bin/make -f

export LANG = C.UTF-8

%:
	dh $@ --with pgxs_loop

=== debian/watch ===
version=4
https://github.com/pgq/londiste-sql/tags .*/v([^/]*).tar.gz
